## zfs-linux 2.3.1

=== debian/changelog ===
zfs-linux (2.3.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add patch-META-for-6.14.patch, drop bump-linux-minimum.patch

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Apr 2025 16:59:33 -0700

zfs-linux (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * d/patches:
    + remove applied patches in 2.3.1
    + backport upstream patch to fix flushing on zvol (closes: #1100086)
  * d/rules: install pyzfs documentation into usr/share/doc/python3-pyzfs
    + add link for backward compatibility
    + add pyzfs-doc.doc-base
  * Add new symbols in libzpool6linux
  * Remove unused lintian-overrides

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 13:56:58 +0800
