=== debian/rules ===
--- 
+++ 
@@ -160,7 +160,7 @@
 endif
 
 override_dh_strip:
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 ifeq ($(BUILD_UDEB), true)
 	dh_strip -plibnvpair3-udeb
 	dh_strip -plibuutil3-udeb
