## zfs-linux 2.3.2

=== debian/changelog ===
zfs-linux (2.3.2-2~bpo12+2) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert the unwanted usr-merge in 2.3.2-1~bpo12+1.

 -- Shengqi Chen <harry@debian.org>  Thu, 14 Aug 2025 22:51:15 +0800

zfs-linux (2.3.2-2~bpo12+1) bookworm-backports; urgency=medium

   * Rebuild for bookworm-backports.

 -- Aron Xu <aron@debian.org>  Fri, 18 Jul 2025 21:05:26 +0800

zfs-linux (2.3.2-2) unstable; urgency=medium

  * d/patches: backport some fixes from 2.3.3 upstream release
    (closes: #1106035).

 -- Shengqi Chen <harry@debian.org>  Sun, 29 Jun 2025 21:54:37 +0800

zfs-linux (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2 (closes: #1104418).
  * d/patches: refresh and remove applied patches.

 -- Shengqi Chen <harry@debian.org>  Fri, 02 May 2025 17:46:51 +0800

zfs-linux (2.3.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Mar 2025 20:33:56 +0800

zfs-linux (2.2.7-1~bpo12+1) bookworm-backports; urgency=medium

  [ Shengqi Chen ]
  * Rebuild 2.2.7-1 for bookworm-backports.
  * Cherry-pick patch from 2.2.7-2 to fix compilation on armel.

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 25 Dec 2024 15:51:56 +0800

zfs-linux (2.2.6-1~bpo12+2) bookworm-backports; urgency=medium

  * d/: opt-out (accidentally backported) usr-merge (closes: #1082756)

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 26 Sep 2024 15:39:51 +0800

zfs-linux (2.2.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * New upstream version 2.2.6
    - compatibile with Linux 4.18 - 6.11rc
  * d/patches: refresh patches & removed applied patch
  * d/symbols: mark some SPL polyfill symbols as optional

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 12 Sep 2024 22:29:42 +0800

zfs-linux (2.2.5-1~bpo12+1) bookworm-backports; urgency=medium

  * New upstream version 2.2.5
    - fix bash-completion initialization (closes: #1074597)
    - other fixes: https://github.com/openzfs/zfs/releases/tag/zfs-2.2.5
  * d/patches:
    - refresh existing patches
    - add bump-linux-maximum.patch to compile on 6.10 (closes: #1077835)

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 08 Aug 2024 17:44:24 +0800
