=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <lumin@debian.org>,
@@ -83,14 +82,14 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: libblkid-dev,
-         libnvpair3linux (= ${binary:Version}),
          libssl-dev | libssl1.0-dev,
          libtirpc-dev,
+         zlib1g-dev,
+         libnvpair3linux (= ${binary:Version}),
          libuutil3linux (= ${binary:Version}),
          libzfs6linux (= ${binary:Version}),
          libzfsbootenv1linux (= ${binary:Version}),
          libzpool6linux (= ${binary:Version}),
-         zlib1g-dev,
          ${misc:Depends}
 Provides: libnvpair-dev, libuutil-dev
 Description: OpenZFS filesystem development files for Linux
@@ -194,8 +193,8 @@
 Depends: dkms (>> 2.1.1.2-5),
          file,
          libc6-dev | libc-dev,
+         lsb-release,
          libpython3-stdlib,
-         lsb-release,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: zfs-zed, zfsutils-linux (>= ${source:Version}), ${linux:Recommends}
@@ -265,7 +264,7 @@
 Suggests: nfs-kernel-server,
           samba-common-bin (>= 3.0.23),
           zfs-initramfs | zfs-dracut
-Conflicts: nordugrid-arc-client, zfs, zfs-fuse
+Conflicts: zfs, zfs-fuse, nordugrid-arc-client
 Provides: zfsutils
 Description: command-line tools to manage OpenZFS filesystems
  OpenZFS is a storage platform that encompasses the functionality of
@@ -319,3 +318,4 @@
 Replaces: zfsutils-linux (<= 0.7.9-2)
 Conflicts: zutils
 Description: OpenZFS test infrastructure and support scripts
+ OpenZFS is a storage platform that encompasses the functionality of
