## zfs-linux 2.3.3

=== debian/changelog ===
zfs-linux (2.3.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Shengqi Chen <harry@debian.org>  Sat, 23 Aug 2025 14:05:28 +0800

zfs-linux (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3 (closes: #1106035, #1106556).
  * d/patches: refresh existing patches.
  * d/symbols: add symbols in new version, remove vanished ones.
  * d/copyright: remove deprecated FSF physical addresses.

 -- Shengqi Chen <harry@debian.org>  Thu, 14 Aug 2025 23:02:14 +0800
