=== debian/rules ===
--- 
+++ 
@@ -47,18 +47,19 @@
 	@# Build the userland, but don't build the kernel modules.
 	dh_auto_configure -- \
 	  --bindir=/usr/bin \
-	  --sbindir=/sbin \
-	  --libdir=/lib/"$(DEB_HOST_MULTIARCH)" \
-	  --with-udevdir=/lib/udev \
+	  --sbindir=/usr/sbin \
+	  --with-mounthelperdir=/usr/sbin \
+	  --libdir=/usr/lib/"$(DEB_HOST_MULTIARCH)" \
+	  --with-udevdir=/usr/lib/udev \
 	  --with-zfsexecdir=/usr/lib/zfs-linux \
 	  --enable-systemd \
 	  --enable-pyzfs \
 	  --with-python=python3 \
-	  --with-pammoduledir='/lib/$(DEB_HOST_MULTIARCH)/security' \
+	  --with-pammoduledir='/usr/lib/$(DEB_HOST_MULTIARCH)/security' \
 	  --with-pkgconfigdir='/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig' \
-	  --with-systemdunitdir=/lib/systemd/system \
-	  --with-systemdpresetdir=/lib/systemd/system-preset \
-	  --with-systemdgeneratordir=/lib/systemd/system-generators \
+	  --with-systemdunitdir=/usr/lib/systemd/system \
+	  --with-systemdpresetdir=/usr/lib/systemd/system-preset \
+	  --with-systemdgeneratordir=/usr/lib/systemd/system-generators \
 	  --with-config=user
 
 	for i in $(wildcard $(CURDIR)/debian/*.install.in) ; do \
@@ -89,17 +90,6 @@
 override_dh_auto_install:
 	@# Install the utilities.
 	$(MAKE) install DESTDIR='$(CURDIR)/debian/tmp'
-
-	# Move from bin_dir to /usr/sbin
-	# Remove suffix (.py) as per policy 10.4 - Scripts
-	# https://www.debian.org/doc/debian-policy/ch-files.html#s-scripts
-	mkdir -p '$(CURDIR)/debian/tmp/usr/sbin/'
-	mv '$(CURDIR)/debian/tmp/usr/bin/arc_summary' '$(CURDIR)/debian/tmp/usr/sbin/arc_summary'
-	mv '$(CURDIR)/debian/tmp/usr/bin/arcstat' '$(CURDIR)/debian/tmp/usr/sbin/arcstat'
-	mv '$(CURDIR)/debian/tmp/usr/bin/dbufstat' '$(CURDIR)/debian/tmp/usr/sbin/dbufstat'
-
-	@# Zed has dependencies outside of the system root.
-	mv '$(CURDIR)/debian/tmp/sbin/zed' '$(CURDIR)/debian/tmp/usr/sbin/zed'
 
 	@# Install the DKMS source.
 	@# We only want the files needed to build the modules
@@ -146,10 +136,6 @@
 	cd '$(CURDIR)/debian/tmp/usr/src/$(NAME)-$(DEB_VERSION_UPSTREAM)'; ./autogen.sh
 	rm -fr '$(CURDIR)/debian/tmp/usr/src/$(NAME)-$(DEB_VERSION_UPSTREAM)/autom4te.cache'
 
-	for i in `ls $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so`; do \
-		ln -s '/lib/$(DEB_HOST_MULTIARCH)/'`readlink $${i}` '$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/'`basename $${i}`; \
-		rm $${i}; \
-	done
 
 	chmod a-x '$(CURDIR)/debian/tmp/etc/zfs/zfs-functions'
 	chmod a-x '$(CURDIR)/debian/tmp/etc/default/zfs'
@@ -186,3 +172,27 @@
 
 override_dh_auto_clean:
 	find . -name .gitignore -delete
+	rm -rf zfs-$(DEB_VERSION_UPSTREAM)
+	dh_auto_clean
+	debconf-updatepo
+	@if test -e META.orig; then mv META.orig META; fi
+ifeq ($(BUILD_UDEB), true)
+	cat debian/control.udeb.in >> debian/control
+endif
+
+override_dh_install:
+	find debian/tmp/usr/lib -name '*.la' -delete
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installinit:
+	dh_installinit -r --no-restart-after-upgrade --name zfs-import
+	dh_installinit -r --no-restart-after-upgrade --name zfs-mount
+	dh_installinit -r --no-restart-after-upgrade --name zfs-load-key
+	dh_installinit -R --name zfs-share
+	dh_installinit -R --name zfs-zed
+
+override_dh_installsystemd:
+	mkdir -p debian/zfsutils-linux/usr/lib/systemd/system
