## zfs-linux 2.3.4

=== debian/changelog ===
zfs-linux (2.3.4-1ubuntu2) questing; urgency=medium

  * dracut: Open and mount luks keystore (LP: #2070066)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 04 Sep 2025 21:31:49 +0200

zfs-linux (2.3.4-1ubuntu1) questing; urgency=medium

  * Merge from Debian (LP: #2121500)
    - debian/control:
      - drop dependencies on "zfs-modules | zfs-dkms" such that all
        packages can be installed in containers, on hosts that have zfs module
        loaded
    - debian/patches:
      - adding
        - ubuntu/0002-Revert-etc-systemd-zfs-mount-generator-rewrite-in-C.patch
        - ubuntu/4000-zsys-support.patch
        - ubuntu/0001-Revert-Revert-systemd-Use-non-absolute-paths-in-
          Exec.patch
        - ubuntu/4100-disable-bpool-upgrade.patch
        - ubuntu/zfs-mount-container-start.patch
        - ubuntu/fixup-abi.patch
        - ubuntu/4510-silently-ignore-modprobe-failure.patch
        - ubuntu/4751-suppress-types.patch
        - ubuntu/0003-enable-linux-experimental.patch
        - ubuntu/0004-Linux-6.17-add-config-kernel-dentry-operations-m4.patch
        - ubuntu/0005-Linux-6.17-compat-config-restore-ZFS_AC_KERNEL_DENTRY-tests.patch
        - ubuntu/0006-Linux-6.17-compat-d_set_d_op-is-no-longer-available.patch
      - removing
        - ubuntu/0001-Revert-etc-systemd-zfs-mount-generator-serialise-han.patch
        - ubuntu/0002-Revert-etc-systemd-zfs-mount-generator-output-tweaks.patch
    - debian/rules:
      - enforce abi check on Ubuntu amd64
      - allow kernel version not matching META
    - debian/tests/:
      - reduce testing to smoketest only
      - Ubuntu Kernel regression testing covers zfs testsuite
      - Drop depends on linux-headers-*.
      - draid tests fail upstream, so marking failures as expected
        to fail

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 26 Aug 2025 13:48:56 -0500

zfs-linux (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4 (closes: #1111252).
  * d/symbols: add new symbols for libzpool6linux.
  * d/install: install new zfs-mount@.service in zfsutils-linux.

 -- Shengqi Chen <harry@debian.org>  Wed, 27 Aug 2025 00:38:22 +0800
