=== debian/tests/control ===
Tests: kernel-smoke-test
Architecture: !i386
Restrictions: needs-root, allow-stderr, isolation-machine, skippable
Depends: zfs-dkms [ amd64 arm64 ppc64el s390x ],
         zfs-initramfs [ amd64 arm64 ppc64el s390x ],
         zfs-test [ amd64 arm64 ppc64el s390x ],
         zfs-zed [ amd64 arm64 ppc64el s390x ],
         zfsutils-linux [ amd64 arm64 ppc64el s390x ],
