## zfs-linux 2.3.5

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <lumin@debian.org>,
@@ -28,11 +27,10 @@
                python3-sphinx,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://zfsonlinux.org/
 Vcs-Git: https://salsa.debian.org/zfsonlinux-team/zfs.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/zfs
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
 
@@ -217,6 +215,7 @@
 Multi-Arch: foreign
 Depends: busybox-initramfs | busybox-static | busybox,
          initramfs-tools,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Breaks: zfsutils-linux (<= 0.7.11-2)
@@ -233,6 +232,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: dracut,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
@@ -254,7 +254,7 @@
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: zfs-zed
+Recommends: zfs-modules | zfs-dkms, zfs-zed
 Breaks: spl (<< 0.7.9-2),
         spl-dkms (<< 0.8.0~rc1),
         zfs-dkms (<< ${source:Version}),
@@ -277,7 +277,8 @@
 Section: contrib/admin
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: zfsutils-linux (>= ${binary:Version}),
+Depends: zfs-modules | zfs-dkms,
+         zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenZFS Event Daemon
@@ -307,6 +308,7 @@
          python3-pyzfs,
          sudo,
          sysstat,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -317,5 +319,3 @@
 Description: OpenZFS test infrastructure and support scripts
  OpenZFS is a storage platform that encompasses the functionality of
  traditional filesystems and volume managers. It supports data checksums,
- compression, encryption, snapshots, and more.
- .
