=== debian/watch ===
Version: 5
Source: https://zfsonlinux.org/
Matching-Pattern: .*zfs-([\d\.]+)\.tar\.gz$
Pgp-Mode: auto
